
function [volts, duration] = moveLeft(dio, ao, ai, voltage)
    
    if ~exist('voltage','var')
        voltage = 1.6;
    end
    timeout = 5;
    
    ts = tic;
    putsample(ao, voltage);
    while( checkPosition(dio) ~= 1 && toc(ts) < timeout)
        pause(0.01);
    end
    volts = peekdata(ai,1);
    pause(0.05);
    putsample(ao, 0);
    duration = toc(ts);

end
