%%
N = 1;
motionRight(1).V = [-0.1:-0.1:-1.4];
motionLeft(1).V  = [0.5:0.1:2.1];

filename = sprintf('%5.5f-MotionTest.mat',now);
%%
for ii = 1:length(motionRight)
    V = motionRight(ii).V;
    fprintf(1, 'Trying right with %.1f V.', V);
    ts = tic;
    motionRight(ii).timeSeries = motionTestRight(N, V);
    tStop = toc(ts);
    fprintf(1, 'Took %.0f seconds. T_avg = %.1 seconds.\n', tStop, ...
        mean(motionRight(ii).timeSeries));
end

%%
for ii = 1:length(motionLeft)
    V = motionLeft(ii).V;
    fprintf(1, 'Trying right with %.1f V.', V);
    ts = tic;
    motionLeft(ii).timeSeries = motionTestLeft(N, V);
    tStop = toc(ts);
    fprintf(1, 'Took %.0f seconds. T_avg = %.1 seconds.\n', tStop, ...
        mean(motionLeft(ii).timeSeries));
end
    
save(filename, 'motionLeft', 'motionRight');