files = {'734634.46087-MotionTest.mat', ...
    '734634.51833-MotionTest.mat', ...
    '734635.38531-MotionTest.mat'};
nf = length(files);
legstr = {'In Vacuum', 'Vented', 'New Lab',  'New Axle', 'Counterweight'};
clear left;
clear right;

for ii = 1:nf
    load(files{ii});
    Vleft = motionLeft.V;
    left(ii,:) = motionLeft.timeSeries;
    Vright = motionRight.V;
    right(ii,:) = motionRight.timeSeries;
end

load('734635.44496-MotionTest.mat');
vrLong = motionRight.V;
rLong = motionRight.timeSeries;
vlLong = motionLeft.V;
lLong = motionLeft.timeSeries;
load('734635.47736-MotionTest.mat');
rLong(2,:) = motionRight.timeSeries.';
lLong(2,:) = motionLeft.timeSeries.';

figure(1)
subplot(2,1,1)
plot(abs(Vright), right, '-*', abs(vrLong), rLong, '-*');
legend(legstr);
xlim([0 2.3]);
subplot(2,1,2)
plot(abs(Vleft), left, '-*', abs(vlLong), lLong, '-*');
legend(legstr);
xlim([0 2.3]);
